import {
  Sib
} from 'https://cdn.skypack.dev/@startinblox/core@0.17';

export const OrbitAutoLogin = {
  name: 'orbit-auto-login',
  created() {
    if (window.location.pathname == "/login") {
      document
        .querySelectorAll(".loggedIn-loader")
        .forEach(el => (el.style.display = "flex"));
      window.dispatchEvent(
        new CustomEvent('requestNavigation', {
          detail: {
            route: window.orbit.getRoute((window.orbit.defaultRoute || "dashboard"), true)
          }
        }),
      );
      document.querySelector("sib-auth").login();
    }
  }
}

Sib.register(OrbitAutoLogin);